Package org.apache.sling.models.spi.injectorspecific

# Class AbstractInjectAnnotationProcessor

java.lang.Object
org.apache.sling.models.spi.injectorspecific.AbstractInjectAnnotationProcessor

All Implemented Interfaces:
  `InjectAnnotationProcessor`

Direct Known Subclasses:
  `AbstractInjectAnnotationProcessor2`

@Deprecated @ConsumerType public class AbstractInjectAnnotationProcessor extends Object implements InjectAnnotationProcessor
Deprecated.
Use `AbstractInjectAnnotationProcessor2` instead
Default implementation of `InjectAnnotationProcessor`.

## Constructor Summary

Constructors
Constructor
Description
`AbstractInjectAnnotationProcessor()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`Object`
`getDefault()`
Deprecated.
Tries to get the default value from the annotation.
`String`
`getName()`
Deprecated.
Tries to get the name value from the annotation.
`String`
`getVia()`
Deprecated.
Tries to get the via value from the annotation.
`boolean`
`hasDefault()`
Deprecated.
`Boolean`
`isOptional()`
Deprecated.
Tries to get the information whether the injection is optional.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractInjectAnnotationProcessor

public AbstractInjectAnnotationProcessor()
Deprecated.

## Method Details

### getName

public String getName()
Deprecated.
Description copied from interface: `InjectAnnotationProcessor`
Tries to get the name value from the annotation.

Specified by:
  `getName` in interface `InjectAnnotationProcessor`
Returns:
  the value to be used for the name or null, in which case the standard annotation or name derived from method/field should be used

### getVia

public String getVia()
Deprecated.
Description copied from interface: `InjectAnnotationProcessor`
Tries to get the via value from the annotation.

Specified by:
  `getVia` in interface `InjectAnnotationProcessor`
Returns:
  the value to be used for the via or null, in which case the standard annotation should be used

### hasDefault

public boolean hasDefault()
Deprecated.

Specified by:
  `hasDefault` in interface `InjectAnnotationProcessor`
Returns:
  true, if a default value is set

### getDefault

public Object getDefault()
Deprecated.
Description copied from interface: `InjectAnnotationProcessor`
Tries to get the default value from the annotation. Only used if `InjectAnnotationProcessor.hasDefault()` is set to true.

Specified by:
  `getDefault` in interface `InjectAnnotationProcessor`
Returns:
  the value to be used if nothing can be injected

### isOptional

public Boolean isOptional()
Deprecated.
Description copied from interface: `InjectAnnotationProcessor`
Tries to get the information whether the injection is optional.

Specified by:
  `isOptional` in interface `InjectAnnotationProcessor`
Returns:
  the value to be used for the default or null, in which case the standard annotation should be used.